public class JNIVariable {
   static {
      System.loadLibrary("MyLib");
   }
 
   // Cac bien thanh vien
   private int number = 88;
   private String message = "Hello from Java";

   // Bien tinh
   private static double staticNumber = 55.66;
 
   // Khai bao phuong thuc native de thay doi bien thanh vien
   private native void modifyInstanceVariable();

   // Khai bao phuong thuc native de thay doi bien tinh
   private native void modifyStaticVariable();
 
   // Test   
   public static void main(String args[]) {
      JNIVariable test = new JNIVariable();

      test.modifyInstanceVariable();
      System.out.println("In Java, int is " + test.number);
      System.out.println("In Java, String is " + test.message);
      System.out.println();

      test.modifyStaticVariable();
      System.out.println("In Java, the double is " + staticNumber);
   }
}
